---
- hosts: all
  become: true
  vars_files:
  - "./defaults/common.yaml"
  - "./defaults/{{ ansible_facts['os_family'] | lower }}.yaml"
  tasks:
  - name: Prerequisites
    include_tasks: "tasks/{{ ansible_facts['os_family'] | lower }}/prereq.yaml"
    tags: prereq
  - name: Install FreeIPA Client
    include_tasks: "tasks/{{ ansible_facts['os_family'] | lower }}/install.yaml"
    tags: install
  - name: Register FreeIPA Client
    include_tasks: "tasks//{{ ansible_facts['os_family'] | lower }}/register.yaml"
    tags: register